Bug 148763 - Xnest doesn't update shape regions
Xnest doesn't update shape regions
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
: Triaged
Depends On:
Blocks: FC4Target
  Show dependency treegraph
Reported: 2005-02-15 08:41 EST by Mark McLoughlin
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-03-14 23:39:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
xorg-x11-6.8.2-xnest-shape-ext-update-regions.patch (1.29 KB, patch)
2005-02-15 08:41 EST, Mark McLoughlin
no flags Details | Diff

External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 2546 None None None Never

  None (edit)
Description Mark McLoughlin 2005-02-15 08:41:28 EST
If you run a session under xnest:

  $> Xnest -ac :1 &
  $> /etc/X11/xdm/Xsession gnome

open a window and try and resize it, you'll see that the window is
still clipped at its original shape. This happens under BlueCurve
because BlueCurve uses rounded window corners.

Fix is relatively trivial:


It'd be nice to get this in rawhide, though. Otherwise sessions running
in Xnest are very painful to use.
Comment 1 Mark McLoughlin 2005-02-15 08:41:28 EST
Created attachment 111083 [details]
Comment 2 Mark McLoughlin 2005-02-15 08:42:52 EST
An example of the kind of problems I've seen:

Comment 3 Mike A. Harris 2005-02-16 17:22:43 EST
I've added myself to the upstream bug, and flagged it to nominate it for
the 6.8 stable branch.  Once it gets accepted into CVS, (assuming it does
of course) we will include it in future builds.

Thanks Mark.
Comment 4 Søren Sandmann Pedersen 2005-03-08 18:25:11 EST
This patch was already accepted into upstream HEAD, and very likely to
go into stable, so I have added it to our builds (basically to make
this bug disappear from MCP).
Comment 5 Mike A. Harris 2005-03-10 18:17:33 EST
The patch added to CVS doesn't compile with 6.8.2.  Reopening bug.
Comment 6 Mark McLoughlin 2005-03-11 04:11:59 EST
That's because its not the same patch as I attached. I've committed
the patch I attached (after confirming that it actually does still
build). I'll leave it up to you guys to re-enable it, though.
Comment 7 Mike A. Harris 2005-03-14 23:39:01 EST
Patch builds now.  Present in 6.8.2-10 and later in rawhide.

Will be in all future FC3/RHEL4/FC4 builds.

Note You need to log in before you can comment on or make changes to this bug.